/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BOS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BAS_MAINPAGELAYOUT' AND KSQL_COL_NAME IN ('FFORMNUM')) 
 ALTER TABLE T_BAS_MAINPAGELAYOUT ADD (FFORMNUM VARCHAR(36) DEFAULT ' ' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PERM_ADMINAPPENTRY') 
 CREATE TABLE T_PERM_ADMINAPPENTRY (
FID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID VARCHAR(36) DEFAULT ' ' NOT NULL,
FAPPID VARCHAR(36) DEFAULT ' ' NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PERM_ADMINORGENTRY') 
 CREATE TABLE T_PERM_ADMINORGENTRY (
FID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID VARCHAR(36) DEFAULT ' ' NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BOS_table.sql **/
